
Summary:	darktable is a photography workflow application
Name: 		darktable
Version: 	4.6.1
Release: 	%mkrel 1
License: 	GPLv3
Group:		Graphics
Url: 		http://darktable.sourceforge.net
#------------------------------------------------
BuildRequires: cmake
BuildRequires: lib64OpenEXR-devel
BuildRequires: lib64SDL-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64exiv2-devel
BuildRequires: lib64flickcurl-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0_0-devel
BuildRequires: lib64gnome-keyring-devel
BuildRequires: lib64gphoto-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64ilmbase-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64lcms2-devel
BuildRequires: lib64lensfun-devel
BuildRequires: lib64mesagl1-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64openjpeg-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64png1.6-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64osmgpsmap1.0-devel
BuildRequires: lib64lua5.3-devel
BuildRequires: lib64pugixml-devel
BuildRequires:	colord-devel
BuildRequires: libgomp-devel
BuildRequires: perl-devel
BuildRequires: GraphicsMagick-devel
BuildRequires: llvm-static
BuildRequires: lib64avif-devel
BuildRequires: lib64gmic-devel
BuildRequires: lib64heif-devel

BuildRequires: perl-Image-ExifTool
BuildRequires: python-jsonschema
BuildRequires: python-functools32
BuildRequires: clang
BuildRequires: intltool
BuildRequires: iso-codes-devel
BuildRequires: lib64jxl-devel
BuildRequires: lib64portmidi-devel
BuildRequires: lib64secret-devel
BuildRequires: colord-gtk-devel

Obsoletes:	darktable-plugins-experimental


%description
Darktable is a photography workflow application: a virtual lighttable
and darkroom for photographers: it manages your digital negatives in a
database and lets you view them through a zoomable lighttable. it also
enables you to develop raw images and enhance them.


%description -l de
Darktable ist ein Open Source Fotografie-Arbeitsablauf Programm und dient auch zum
Entwickeln von RAW Dateien. Ein virtueller Lichttisch and eine Dunkelkammer für Fotografen.
Es verwaltet Ihre digitalen Negative in einer Datenbank, lässt Sie diese auf einem
Zoombaren Lichttisch betrachten und erlaubt es Ihnen RAW Bilder zu entwickeln und zu 
verbessern.



%prep

%build
pushd %{_sourcedir}
wget -nc https://github.com/darktable-org/darktable/releases/download/release-%{version}/%{name}-%{version}.tar.xz
tar -xf %{name}-%{version}.tar.xz -C %_builddir
popd


pushd %_builddir/%{name}-%{version}
%cmake \
  -DBINARY_PACKAGE_BUILD=ON \
  -DDONT_USE_INTERNAL_LUA=OFF \
  -DPROJECT_VERSION="%{version}" \
  -DBUILD_NOISE_TOOLS=ON \
  -DBUILD_CURVE_TOOLS=ON \
  -DRAWSPEED_ENABLE_LTO=ON \
  -DTESTBUILD_OPENCL_PROGRAMS=OFF
%cmake_build
popd

%install
rm -rf %{buildroot}
pushd  %_builddir/%{name}-%{version}
%cmake_install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}
EOF

popd

%files
%defattr(-,root,root)
%{_bindir}
%{_libexecdir}/%{name}/tools/%{name}-*
%{_libexecdir}/%{name}/tools/profiling-shot.xmp
%{_libexecdir}/%{name}/tools/subr.sh
%{_datadir}
%{_libdir}
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

#add for above ldconfig entry
%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%changelog
* Sun Feb 18 2024 tex - 4.6.1-1pclos2024
- new version

* Fri Dec 22 2023 tex - 4.6.0-1pclos2024
- new version

